com.google.gwt.codegen.server

## Interface SourceWriter

- All Known Implementing Classes:
    JavaSourceWriter, SourceWriterBase, StringSourceWriter

      public interface SourceWriter

  A mechanism to write source files.
  See Also:
    `

    Experimental API - subject to change.

    `

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` Abort the source file being generated.
    `void` | `beginJavaDocComment()` Begin emitting a JavaDoc comment.
    `void` | `close()` Close the source file being generated.
    `void` | `endJavaDocComment()` End emitting a JavaDoc comment.
    `void` | `indent()` Increase indent level.
    `void` | `indentln(java.lang.String string)` Print a line at an increased indentation level without altering the indent level for the next line.
    `void` | `indentln(java.lang.String format, java.lang.Object... args)` Format and print a line at an increased indentation level without altering the indent level for the next line.
    `void` | `outdent()` Decrease indent level.
    `void` | `print(java.lang.String s)` Write a string without a line terminator.
    `void` | `print(java.lang.String format, java.lang.Object... args)` Format and print a string without a line terminator.
    `void` | `println()` Write a line terminator.
    `void` | `println(java.lang.String string)` Write a string with a line terminator.
    `void` | `println(java.lang.String format, java.lang.Object... args)` Format and print a string with a line terminator.

- - ### Method Detail

    - #### abort

          void abort()

      Abort the source file being generated.

    - #### beginJavaDocComment

          void beginJavaDocComment()

      Begin emitting a JavaDoc comment.

    - #### close

          void close()

      Close the source file being generated.

    - #### endJavaDocComment

          void endJavaDocComment()

      End emitting a JavaDoc comment.

    - #### indent

          void indent()

      Increase indent level.

    - #### indentln

          void indentln(java.lang.String string)

      Print a line at an increased indentation level without altering the indent level for the next line.
      Parameters:
        `string` -

    - #### indentln

          void indentln(java.lang.String format,
                        java.lang.Object... args)

      Format and print a line at an increased indentation level without altering the indent level for the next line.
      Parameters:
        `format` - format string, as in `String.format(String, Object...)`
        `args` - arguments for the format string

    - #### outdent

          void outdent()

      Decrease indent level.

    - #### print

          void print(java.lang.String s)

      Write a string without a line terminator.
      Parameters:
        `s` -

    - #### print

          void print(java.lang.String format,
                     java.lang.Object... args)

      Format and print a string without a line terminator.
      Parameters:
        `format` - format string, as in `String.format(String, Object...)`
        `args` - arguments for the format string

    - #### println

          void println()

      Write a line terminator.

    - #### println

          void println(java.lang.String string)

      Write a string with a line terminator.
      Parameters:
        `string` -

    - #### println

          void println(java.lang.String format,
                       java.lang.Object... args)

      Format and print a string with a line terminator.
      Parameters:
        `format` - format string, as in `String.format(String, Object...)`
        `args` - arguments for the format string